html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

:root {
  --white: #fff;
  --bg-white-gray: #e5e5e5;
  --white-gray: #e9e9e9;

  --gray: #999;
  --gray2: #666;
  --gray-dark: #333;

  --orange-light: #f0bf5f;
  --orange: #cc9933;
  --orange-dark: #a47312;
}

body {
  background: var(--bg-white-gray);
}

a,
li {
  color: inherit;
  text-decoration: none;
}

h1,
h2,
h3,
p,
ul,
figure,
html,
a {
  margin: 0;
}
div {
  transition: background 0.3s ease, color 0.2s linear;
}

img {
  max-width: 100%;
  display: block;
}

/* reset */

.list-reset {
  margin: 0;
  padding: 0;
  /* list-style: none; */
}

.bth-reset {
  padding: 0;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.img-reset {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* global */

.container {
  max-width: 1170px;
  margin: 0 auto;
}

.title {
  margin: 0;
  margin-bottom: 20px;
  padding-left: 40px;
  margin-bottom: 20px;
}

/* Заголовок */

.header__top {
  display: flex;
  align-items: center;
  padding: 30px 0;
}

.header__logo {
  margin-right: 10px;
}

.header__phone {
  margin-right: auto;
  font-weight: 500;
  font-size: 20px;
  line-height: 20px;
  color: var(--gray);
}

.header__nav {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 15px;
  padding: 14px 45px;
  margin-bottom: 70px;
  background-color: var(--white);
}

.header-list {
  justify-content: space-between;
}

.header__list {
  display: flex;
  align-items: center;
}

.header__left-top {
  margin-right: auto;
  display: flex;
  align-items: center;
}

.header__logo {
  margin-right: 10px;
}

/* Спецпредложение */

.special-title {
  margin: 0;
  margin-bottom: 20px;
  width: 420px;
  margin-bottom: 15px;
  font-weight: 700;
  font-size: 40px;
  line-height: 40px;
}

.special-title-big {
  margin-bottom: 15px;
  width: 299px;
  font-weight: 700;
  font-size: 60px;
  line-height: 60px;
}

.special-price {
  margin-bottom: 47px;
  font-weight: 400;
  font-size: 20px;
  line-height: 20px;
  color: var(--white);
}

.special-price-big {
  margin-bottom: 47px;
  font-weight: 400;
  font-size: 30px;
  line-height: 30px;
  color: var(--white);
}

/* ограничение карточек */
.hero-descr {
  max-width: 888px;
}
/* ограничение карточек */
.services-text {
  max-width: 402px;
}

.services-card-content {
  padding: 28px 35px 32px 45px;
  border-radius: 0px 0px 15px 15px;
}

.flex {
  display: flex;
}

.placement-card-country {
  display: inline-block;
  margin-bottom: 15px;
}

.placement-card-title {
  margin-bottom: 15px;
}

.price-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
}

svg {
  transition: transform 0.2s ease-in-out;
}

.special__content {
  min-height: 573px;
  display: flex;
  justify-content: space-between;
  display: flex;
}

.special__left {
  display: flex;
  margin-right: 24px;
  flex-direction: column;
  width: calc((100% - 30px) / 2);
}

.special__left:not(:last-child) {
  margin-right: 30px;
}

.special-article {
  position: relative;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  padding: 40px 45px;
  flex: 1;
  margin-bottom: 30px;
}

.special-article:not(:last-child) {
  margin-bottom: 24px;
}

.special-article--big {
  justify-content: flex-end;
  display: flex;
  flex-direction: column;
  width: calc((100% - 30px) / 2);
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.special-article--big:not(:last-child) {
  margin-right: 30px;
}

/* Услуги */

.services__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.services-item {
  width: 572px;
  margin-bottom: 24px;
  border-radius: 15px;
  position: relative;
}

.block-сontacts {
  margin-right: 50px;
}

/* Преимущества */

.advantages__list {
  display: flex;
  flex-wrap: wrap;
}

.advantages-ico {
  width: 66px;
  height: 66px;
  margin-bottom: 10px;
}

.advantages-item {
  width: 276px;
  height: 276px;
  border-radius: 15px;
  margin-bottom: 20px;
  padding: 40px 42px 32px 45px;
  margin-right: 22px;
}

.advantages-item:last-child {
  margin-right: auto;
}

.advantages-item:nth-child(4n) {
  margin-right: 0;
}

.advantages-text {
  display: flex;
}

/* Размещение */

.placement__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 47px;
}

.placement__item {
  margin-bottom: 24px;
}

.placement__item_last {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  padding-bottom: 27px;
  position: relative;
}

.header-logo {
  margin-right: 40px;
}

.header__lk {
  background-position: left center;
  background-size: 20px 20px;
  background-repeat: no-repeat;
  padding-left: 10px;
}

.headeimgr__bottons {
  display: flex;
  justify-content: flex-end;
}

.bth {
  margin-right: 0px;
  border-radius: 10px;
  padding: 13px 20px;
  font-size: 16px;
  line-height: 16px;
}

.header__bottons {
  display: flex;
  align-items: center;
}

.bth:not(:last-child) {
  margin-right: 40px;
}

.placement-price-wrapper {
  padding: 36px 30px 32px 45px;
}

.star-rating {
  align-items: center;
}

.star-vector {
  margin-right: 5px;
}

.bth-placement {
  display: block;
}

.placement-card-country {
  margin-bottom: 20px;
}

.placement-card-price {
  margin-right: 64px;
}

.placement__item {
  border-radius: 15px;
  width: 374px;
  height: 440px;
}

/* tour */

.tour {
  border-radius: 15px;
  padding: 45px;
}

.form {
  display: flex;
}

.tab-info {
  margin-bottom: 20px;
  display: block;
}

.form {
  border-radius: 15px;
  padding: 32px;
  justify-content: space-between;
}

.main__about-us {
  margin-bottom: 70px;
}

.special__content {
  margin-bottom: 36px;
}

.servise-list {
  margin-bottom: 48px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.advantages__list {
  margin-bottom: 52px;
}
.title-tour {
  padding-left: 0;
  margin-top: 0;
  margin-left: -5px;
}

.form__bth {
  padding: 13px 30px;
}

.tab-number {
  max-width: 121px;
}

.bth-big {
  padding: 27px 30px;
}

.сontacts-con {
  padding: 45px;
  border-radius: 15px;
}

.tab-сontacts {
  margin-bottom: 24px;
  padding-bottom: 32px;
  min-width: 375px;
}

.title-сontacts {
  margin-right: 25px;
}

.сontacts {
  margin-bottom: 40px;
}

.footer {
  background: var(--gray-dark);
  border-radius: 15px;
  padding: 45px;
  margin-bottom: 30px;
}

.footer-text {
  margin-right: 125px;
}

.mb37 {
  margin-bottom: 37px;
}

.mb15 {
  margin-bottom: 15px;
}

.mb4 {
  margin-bottom: 4px;
}

.block {
  display: block;
}

.form {
  max-height: 106px;
}

.tour {
  margin-bottom: 72px;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  opacity: 1;
}

.form-input {
  width: 160px;
}

.number {
  width: 120px;
}

.ico-link {
  margin-left: 255px;
}

.footer-min-width {
  min-width: 358px;
}

/* *:focus-visible {
  outline: 0;
} */

ul {
  list-style: none;
  padding: 0;
}

/* иконки footer */

.social__list {
  /* display: flex; */
  max-width: 300px;
  justify-content: space-between;
}
.social-item__link {
  display: block;
}
.social-link path {
  transition-property: fill, transform;
  transition: 0.3s ease-in-out;
}
.social-link:focus-visible path,
.social-link:hover path {
  fill: var(--orange);
  transform: scale(1.1) translate(-1px, -1px);
}
.social-link:active path {
  fill: var(--orange);
  opacity: 0.4;
}

/* изображения  */

.head-img-1 {
  background-image: linear-gradient(
      90deg,
      rgba(48, 64, 89, 0.84) -2.9%,
      rgba(53, 65, 83, 0) 65.7%
    ),
    url("../img/head1.png");
  border-radius: 15px;
  max-width: 100%;
  /* height: 258px; */
}

.head-img-2 {
  background-image: linear-gradient(
      90deg,
      rgba(48, 64, 89, 0.84) -2.9%,
      rgba(53, 65, 83, 0) 65.7%
    ),
    url("../img/head2.png");

  border-radius: 15px;
  max-width: 100%;
  /* height: 258px; */
}

.head-img-3 {
  background-image: url("../img/head3.png");
  border-radius: 15px;
  max-width: 100%;
}

.title-ico1 {
  background-image: url("../ico/ico1.svg");
}

.title-ico2 {
  background-image: url("../ico/ico2.svg");
}

.title-ico3 {
  background-image: url("../ico/ico3.svg");
}

.title-ico4 {
  background-image: url("../ico/ico4.svg");
}

.title-ico5 {
  background-image: url("../ico/ico5.svg");
}

.title-ico6 {
  background-image: url("../ico/ico6.svg");
}

.title-ico7 {
  background-image: url("../ico/ico7.svg");
}

.title-ico8 {
  background-image: url("../ico/ico8.svg");
}

.img-link-end {
  background-image: url("../ico/special-link-w.svg");
  background-repeat: no-repeat;
  background-position: right center;
  padding-right: 24px;
}

.placement__item_last {
  background-image: url("../img/placement9end.png");
  justify-content: center;
}

.сontacts-img {
  background-image: url("../img/contact.png");
  min-width: 653px;
  min-height: 528px;
  background-position: center right;
  border-radius: 10px;
}

.footer-img {
  background-image: url("../ico/footer.svg");
  background-repeat: no-repeat;
  background-position: 737px bottom;
}

.img-footer-1 {
  background-image: url("../ico/footer1.svg");
  background-position: right center;
}

.img-footer-2 {
  background-image: url("../ico/footer2.svg");
  background-position: right center;
}

.img-footer-3 {
  background-image: url("../ico/footer3.svg");
  background-position: right center;
}

.services-img-1 {
  background-image: url("../img/services1.jpg");
  border-radius: 15px 15px 0 0;
  height: 165px;
}

.services-img-2 {
  background-image: url("../img/services2.jpg");
  border-radius: 15px 15px 0 0;
  height: 165px;
}

.services-img-3 {
  background-image: url("../img/services3.jpg");
  border-radius: 15px 15px 0 0;
  height: 165px;
}
.services-img-4 {
  background-image: url("../img/services4.jpg");
  border-radius: 15px 15px 0 0;
  height: 165px;
}

.services-card-title {
  color: var(--orange);
  font-weight: 500;
  font-size: 20px;
  line-height: 200%;
  padding-right: 20px;
}

/* шрифты  */
body {
  margin: 0;
  font-family: "Muller", sans-serif;
  font-weight: 400;
}

/* font */

@font-face {
  font-family: "Muller";
  src: local("Muller-Regular"),
    url("../fonts/MullerRegular.woff2") format("woff2"),
    url("../fonts/MullerRegular.woff") format("woff");

  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Muller";
  src: local("Muller-Light"), url("../fonts/MullerLight.woff2") format("woff2"),
    url("../fonts/MullerLight.woff") format("woff");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Muller";
  src: local("Muller-Bold"), url("../fonts/MullerBold.woff2") format("woff2"),
    url("../fonts/MullerBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}
.hero-descr {
  font-size: 16px;
  line-height: 200%;
}

.header__item {
  font-size: 16px;
  line-height: 16px;
  color: var(--gray2);
  display: inline-block;
}

.header__item:not(:last-child) {
  margin-right: 45px;
}

.services-text {
  font-size: 16px;
  line-height: 200%;
}

.title {
  font-style: normal;
  font-size: 40px;
  line-height: 40px;
}

.placement-card-title {
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
}

.advantages-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 200%;
}

.title {
  font-weight: 400;
  font-size: 40px;
  line-height: 40px;
}

.text-more {
  font-weight: 500;
  font-size: 20px;
  line-height: 200%;
}

.tab-info {
  font-style: normal;
  font-size: 12px;
  line-height: 12px;
}

.placement-card-country,
.placement-card-price,
.tab {
  font-size: 16px;
  line-height: 16px;
}

.placement-card-price b {
  font-size: 16px;
  font-weight: 700;
  font-size: 20px;
}

.footer-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 190%;
}
.title-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
}

.title-сontacts {
  font-weight: 700;
  font-size: 20px;
  line-height: 20px;
}

/* color */

/* цвета  */

.сontacts-con {
  background: var(--white);
}

.bth {
  border: 1px solid var(--orange);
}

.placement-card-country,
.placement-card-price {
  color: var(--gray);
}

.placement-card-price b {
  color: black;
}

.placement__item,
.form,
.services-card-content {
  background-color: var(--white);
}

.theme-gray {
  color: var(--gray);
}

.theme-white {
  color: var(--white);
}

.theme-yellow {
  color: var(--orange);
  fill: var(--orange);
}

.form-input {
  border: solid 0 var(--white);
}

.text-more {
  color: var(--white);
}

.bth {
  background-color: var(--white);
  color: var(--orange);
}

.advantages-item {
  background-color: var(--white);
}

.special-link {
  color: var(--orange-light);
}

.special-link:hover,
.special-link:focus {
  color: var(--orange-light);
  transition: 0.3s;
}

.special-title-big,
.special-price,
.special-title,
.special-link:active {
  color: var(--white);
}

.number {
  border-bottom: 1px solid var(--white-gray);
}

.tab-number {
  border-bottom: 1px solid var(--white-gray);
}

.tab-сontacts {
  border-bottom: 1px solid var(--white-gray);
}

.tour {
  background-color: var(--white-gray);
}

.card {
  justify-content: flex-end;
}

.card__link {
  /* align-self: flex-start; */
  display: flex;
  align-items: center;
}
.card__link:active {
  color: var(--white);
}
.card__link:hover svg {
  transform: translateX(5px);
}
svg {
  transition: transform 0.2s ease-in-out;
}
.header__lk {
  color: var(--orange);
}
.card__link:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  outline: 2px solid var(--orange);
  outline-offset: 10px;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}
.card__link:focus-visible {
  outline: 0;
}
.card__link:focus-visible:before {
  opacity: 1;
}

.link-orange:focus-visible,
.link-gray:focus-visible {
  outline: 0;
  outline: 2px solid var(--orange);
  outline-offset: 5px;
}

.link-orange {
  color: var(--orange);
  fill: var(--orange);
}

/* TODO: hover  при наведении  */

.tab-dark:hover {
  outline-offset: 5px;
  color: var(--orange);
}

.tab-light:hover {
  outline-offset: 5px;
  color: var(--orange-light);
}
.bth:hover {
  background-color: var(--orange-light);
  color: var(--white);
  left: calc(50% - 213px / 2);
  top: calc(50% - 70px / 2 - 46.5px);
  gap: 10px;
  transition: 0.5s;
}

/* TODO: focus при выделении tab */

.tab-dark:focus {
  outline: 2px solid var(--orange);
  outline-offset: 5px;
  color: var(--orange);
}

.tab-light:focus {
  outline: 2px solid var(--orange);
  outline-offset: 5px;
  color: var(--orange);
}

.bth:focus {
  outline: 0;
  background-color: var(--orange-light);
  color: var(--white);
  left: calc(50% - 213px / 2);
  top: calc(50% - 70px / 2 + 46.5px);
  gap: 10px;
  transition: 0.5s;
}

/* TODO: active  при нажатии  */

.tab-dark:active {
  outline: 0;
  color: var(--orange-dark);
}

.tab-light:active {
  outline: 0;
  color: var(--orange-dark);
}

.bth:active {
  background-color: var(--orange-dark);
  color: var(--white);
  left: calc(50% - 213px / 2);
  top: calc(50% - 70px / 2 + 139.5px);
  gap: 10px;
}
